Results 1 to 13 of 13

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: "Wrong firmware bundle selected" upgrading to newer 3gs to 4.2.1 with PwnageTool

  1. #1
    What's Jailbreak?
    Join Date
    Apr 2008
    Location
    USA
    Posts
    26
    Thanks
    15
    Thanked 1 Time in 1 Post
    Default "Wrong firmware bundle selected" upgrading to newer 3gs to 4.2.1 with PwnageTool
    I am trying to upgrade a newer 3gs to 4.2.1. and unlock it. Yesterday, I had SO many problems (read about them here if you want) and the end result is I now have an unlocked 3gs on FW 4.1 with the iPad baseband.

    I have read and re-read the Dev Team's blog post and have read so many articles and guides. It is to my understanding that I can NOT upgrade to 4.2.1 using iTunes now that I have the iPad baseband. Since I can't do that, I guess that means I can't use redsn0w either to as redsn0w doesn't upgrade, only JBs (unless I am misunderstanding something). I suppose that makes PwnageTool my only option as I now HAVE to upgrade using a custom IPSW since I have the iPad's baseband on this phone.

    The actual problem that I am having is that PwnageTool keeps saying "Wrong firmware bundle selected." when I point it to the 4.2.1 FW I downloaded. I have deleted and re-downloaded the file several times from several different sources to make sure I didn't accidentally download one for a different device.

    The people in the other thread were very helpful and I was able to get that problem solved so I am hopeful that I can solve this one as well!

    Thanks in advance!

  2. #2
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    46,790
    Thanks
    7,002
    Thanked 15,563 Times in 7,113 Posts

    Have you put the extra bundle from update 3 on the dev blog into pwnage tool?

  3. #3
    What's Jailbreak?
    Join Date
    Apr 2008
    Location
    USA
    Posts
    26
    Thanks
    15
    Thanked 1 Time in 1 Post
    Update #3 refers to the old bootrom 3GS. This is a new bootrom 3GS.

    I did do what it said in Update #1... but in step 5, it says "...to create a custom 4.1 IPSW." I don't get that... I thought this was to do a custom 4.2 IPSW. And then it says "Tell it you want to use the iPad baseband you just downloaded." When? When it asks me to point to the IPSW? Regardless, I tried pointing it to the 4.2.1 FW and the iPad's firmware and still got the same error.

  4. #4
    Superbad Modder-ator Simon's Avatar
    Join Date
    Nov 2007
    Location
    Bermuda
    Posts
    46,790
    Thanks
    7,002
    Thanked 15,563 Times in 7,113 Posts

    That bundle will work to make a 3GS custom firmware regardless of bootrom. The dev team just said that because they think old bootrom are the only ones that should go to 4.2.1 because new bootrom is a tethered jailbreak on 4.2.1. After making it and restoring to it you will still need to use redsn0w to jailbreak.

  5. The Following 2 Users Say Thank You to Simon For This Useful Post:

    bonsairiver (12-08-2010), linxsay (12-01-2010)

  6. #5
    What's Jailbreak?
    Join Date
    Apr 2008
    Location
    USA
    Posts
    26
    Thanks
    15
    Thanked 1 Time in 1 Post
    That blog post of theirs is REALLY confusing with all the updates and new bootrom this and old bootrom that... I just did what you said and PwnageTool is now building the IPSW. YAY!

    Thank you, again!

  7. #6

  8. #7
    What's Jailbreak?
    Join Date
    Apr 2008
    Location
    USA
    Posts
    26
    Thanks
    15
    Thanked 1 Time in 1 Post
    I was able to successfully JB with redsn0w. I am going to try the unlock next but wanted to know... is it necessary to always point RS to the IPSW even if all I'm doing is booting tethered?

  9. #8

  10. The Following User Says Thank You to Simon For This Useful Post:

    linxsay (12-01-2010)

  11. #9
    What's Jailbreak?
    Join Date
    Apr 2008
    Location
    USA
    Posts
    26
    Thanks
    15
    Thanked 1 Time in 1 Post
    That's what I thought...

    Now I have another problem. JB was successful and Cydia didn't work as expected so I restarted and did "Just boot tethered" with RS. That worked fine so then I installed ultrasn0w from Cydia. The iPhone rebooted itself and is now just stuck at the Apple logo and has been for the past 10 minutes.

    (EDIT: The phone screen flickered to black and then back to the Apple logo as if it rebooted itself while it was rebooting... It is currently still on the Apple logo.)

    (EDIT2: I didn't realize that it wouldn't actually boot into the iPhone without doing a tethered boot this time. I tried that and it worked fine. I guess this will happen every time from now on. I've never had to do a tethered JB before so this is new to me!)
    Last edited by linxsay; 12-01-2010 at 07:56 PM.

  12. #10

  13. The Following User Says Thank You to Simon For This Useful Post:

    linxsay (12-01-2010)

  14. #11
    What's Jailbreak?
    Join Date
    Apr 2008
    Location
    USA
    Posts
    26
    Thanks
    15
    Thanked 1 Time in 1 Post
    Yeah I knew that... I just didn't realize that it wouldn't actually boot into the iOS first... Like I said, I've never had to do a tethered JB before...

    Anyway, thanks again for all your help!!

  15. #12

  16. #13
    I think you need to use the 4.1 bundle rather than the 4.2.1 bundle ?

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •